VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Picture Viewer 1.00"
   ClientHeight    =   8625
   ClientLeft      =   -180
   ClientTop       =   90
   ClientWidth     =   11910
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   8625
   ScaleWidth      =   11910
   StartUpPosition =   2  'CenterScreen
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   WindowState     =   2  'Maximized
   Begin VB.HScrollBar hbarScroller 
      Height          =   285
      Left            =   2460
      TabIndex        =   7
      TabStop         =   0   'False
      Top             =   8400
      Width           =   9405
   End
   Begin VB.VScrollBar vbarScroller 
      Height          =   8235
      Left            =   11670
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   150
      Width           =   285
   End
   Begin VB.PictureBox picOuter 
      BackColor       =   &H00000000&
      Enabled         =   0   'False
      Height          =   8400
      Left            =   2460
      ScaleHeight     =   8340
      ScaleWidth      =   9180
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   0
      Width           =   9240
      Begin VB.PictureBox picInner 
         AutoSize        =   -1  'True
         BackColor       =   &H00000000&
         BorderStyle     =   0  'None
         Height          =   5985
         Left            =   480
         ScaleHeight     =   5985
         ScaleWidth      =   9000
         TabIndex        =   5
         TabStop         =   0   'False
         Top             =   120
         Width           =   9000
      End
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   0
      TabIndex        =   3
      Top             =   210
      Width           =   2415
   End
   Begin VB.DirListBox Dir1 
      Height          =   2790
      Left            =   0
      TabIndex        =   2
      Top             =   750
      Width           =   2415
   End
   Begin VB.FileListBox File1 
      Height          =   4380
      Left            =   0
      TabIndex        =   1
      Top             =   3780
      Width           =   2415
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      ItemData        =   "frmMain.frx":0ECA
      Left            =   0
      List            =   "frmMain.frx":0EDD
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   8370
      Width           =   2415
   End
   Begin VB.Label Label1 
      Caption         =   "Select Drive"
      Height          =   195
      Left            =   0
      TabIndex        =   11
      Top             =   0
      Width           =   2415
   End
   Begin VB.Label Label2 
      Caption         =   "Select Folder"
      Height          =   255
      Left            =   0
      TabIndex        =   10
      Top             =   540
      Width           =   2415
   End
   Begin VB.Label Label3 
      Caption         =   "Select File to View"
      Height          =   195
      Left            =   0
      TabIndex        =   9
      Top             =   3570
      Width           =   2415
   End
   Begin VB.Label Label4 
      Caption         =   "Select File Type"
      Height          =   195
      Left            =   30
      TabIndex        =   8
      Top             =   8160
      Width           =   2355
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Code Written by,
'M. M. Monzur Rahman
'email:monzur0010@email.com
'If found any bug Please sned me mail.
'and Describe the bug.
'Please Do Not Delete the Help Topic


' Set scroll bar properties.
Private Sub SetScrollBars()
    vbarScroller.Min = 0
    vbarScroller.Max = picOuter.ScaleHeight - picInner.Height
    vbarScroller.LargeChange = picOuter.ScaleHeight
    vbarScroller.SmallChange = picOuter.ScaleHeight / 5
    
    hbarScroller.Min = 0
    hbarScroller.Max = picOuter.ScaleWidth - picInner.Width
    hbarScroller.LargeChange = picOuter.ScaleWidth
    hbarScroller.SmallChange = picOuter.ScaleWidth / 5
End Sub

Private Sub Combo1_Click()
    'File Pattern (Extention) set [ex: *.jpg]
    If Combo1.ListIndex = 0 Then File1.Pattern = "*.bmp;*.jpg;*.gif;*.wmf"
    If Combo1.ListIndex = 1 Then File1.Pattern = "*.jpg"
    If Combo1.ListIndex = 2 Then File1.Pattern = "*.bmp"
    If Combo1.ListIndex = 3 Then File1.Pattern = "*.wmf"
    If Combo1.ListIndex = 4 Then File1.Pattern = "*.gif"
End Sub

Private Sub Dir1_Change()
    On Error Resume Next
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    On Error Resume Next
    Dir1.Path = Drive1.Drive
End Sub

Private Sub File1_Click()
    On Error GoTo err: ' Error Handle
    
    'Formatting File Name and File Path
    Dim FName As String
    FName = File1.Path
    If Right$(FName, 1) = "\" Then
        FName = FName & File1.FileName
    Else
        FName = FName & "\" & File1.FileName
    End If
    
    'Load Picture File
    picInner.Picture = LoadPicture(FName)
    Me.Caption = "Picture Viewer 1.00 - [" & FName & "]" 'Set Caption
    SetScrollBars
    
    'Set Picture Position
    picInner.Top = (picOuter.ScaleHeight - picInner.ScaleHeight) / 2
    picInner.Left = (picOuter.ScaleWidth - picInner.ScaleWidth) / 2
    Exit Sub
err: ' Error Message
    MsgBox err.Description, vbCritical, "Error"
End Sub

Private Sub Form_Load()
    Combo1.Text = "All Graphics Files"
    'Set Scroll bar Value
    SetScrollBars
    
    'Position of picOuter
    picOuter.Move 2460, 0, 9240, 8400
    
    'Set Picture Position
    picInner.Top = (picOuter.ScaleHeight - picInner.ScaleHeight) / 2
    picInner.Left = (picOuter.ScaleWidth - picInner.ScaleWidth) / 2

    'Set Scroller bar Position
    vbarScroller.Move 11700, 0, 285, 8400
    hbarScroller.Move 2460, 8400, 9250, 285
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    Cancel = 1
    s = MsgBox("Do You Really Want to Exit?", vbQuestion + vbYesNo, "Exit")
    If s = vbYes Then
        MsgBox "Thank You For Useing My Pictuer Viewer 1.00" & vbLf & vbLf _
        & "email: monzur0010@email.com" & vbLf _
        & "web address: http://www.monsoft.4t.com", vbInformation, "Thank You"
        End
    End If
End Sub

Private Sub hbarScroller_Change()
    picInner.Left = hbarScroller.Value
End Sub

Private Sub hbarScroller_Scroll()
    picInner.Left = hbarScroller.Value
End Sub

Private Sub vbarScroller_Change()
    picInner.Top = vbarScroller.Value
End Sub

Private Sub vbarScroller_Scroll()
    picInner.Top = vbarScroller.Value
End Sub

